Subject: Installation of packages.

From: [email-masked] (Jesus M. Gonzalez)

After so much discussion about the topic, I've found
`almost' all of we seem to agree in the following points:

. Mechanisms and policies are different things. Mechanisms
are `how do we install' packages --which tools will we use
to install/deinstall and so on. Policies are things like
`where do I install' or `what do I install'.

. Everybody seems to want mechanisms, lot of people feels
policies should be left `up to the user'.

. The mechanisms that we need are:

   a- A tool and/or standard procedures for building a `package'
	from binaries.

   b- A tool for installing/deinstalling `packages'.

   c- Perhaps a tool for customizing a `package'. This will
	help with letting users define their policy.

   d- A place --or a bunch of places-- where to find those
	packages.

   e- Maybe a tool for finding packages.

. Policy that should not be enforced includes

   a- Where to install packages. However, there seems to be a
	consensus about installing in separated subdirs being
	better.

   b- Of course, what to install and deinstall.

   c- Building binaries. However, a path including porting-making
	diffs-informing author-maybe `packaging' binaries
	seems to be a good thing.

About mechanisms, we have as starting points pkg* from FreeBSD for
(a.) and (b.), some space form voluntary sites (mine could be
one) for (d.), and maybe a couple of Web pages for (e.) I see
nothing easy --except from hand-made scripts-- helping with
(c.). I mean, dealing with things like binaries with harwired paths.

About policies, maybe we could agree on a set of `guidelines',
as flexible as possible, for (a.). A schema including  different 
architectures should be addressed, where common files wouldn't
be replicated... I find different archs one of the biggest
strengt of NetBSD, and its support should be encouraged. Nothing to 
say about (b.).
And maybe another set of guidelines, also very flexible,
for (c.). Maybe a FAQ about `how to port to NetBSD' will be
a plus...

	I can help with some parts of these. Some other people
said the same. Maybe we could discuss this a little more, annd
begin to work... What do *you* think?

		Jesus.

PS: I will be `out of e-mail space' for a couple of weeks, so
for me `hands on' could only begin in october... Maybe NetBSD 1.0 will
be out by then. Anyway, if you have something to say, mail me.
I'll read (and answer) when I come back.

-- 
Jesus M. Gonzalez Barahona    | Universidad Carlos III (Madrid, Spain)
tel: +34 1 624 94 58          | e-mail: [email-masked]
fax: +34 1 624 94 30          |         [email-masked]
(Sometimes our headers are not o.k., please reply to any of these addresses)
.From within Universidad Carlos III, you can better use [email-masked]